<?php
	if ($auth->userdata["acclevel"] < 100) die ("Access denied!");

	$edlist = new EditList("code", "hlstats_Games", "game", false);
	$edlist->columns[] = new EditListColumn("code", "Game Code", 10, true, "text", "", 16);
	$edlist->columns[] = new EditListColumn("name", "Game Name", 30, true, "text", "", 128);
	$edlist->columns[] = new EditListColumn("hidden", "Visibility", 0, true, "select", "0/Show;1/Hide");
	
	
	if ($HTTP_POST_VARS)
	{
		if ($edlist->update())
			message("success", "Operation successful.");
		else
			message("warning", $edlist->error());
	}
	
?>

Enter the codes and full names for all the games you want to collect statistics for. (Game codes should be the same as the mod folder name, e.g. "valve".)<p>

After creating a game, you will be able to configure servers, awards, etc. for that game under Game Settings.<p>

<?php
	
	$result = $db->query("
		SELECT
			code,
			name,
			hidden
		FROM
			hlstats_Games
		ORDER BY
			code ASC
	");
	
	$edlist->draw($result);
?>

<table width="75%" border=0 cellspacing=0 cellpadding=0>
<tr>
	<td align="center"><input type="submit" value="  Apply  " class="submit"></td>
</tr>
</table>

